## spglib 1.10.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
project(spglib C)
set(CMAKE_MACOSX_RPATH 1)
set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
set(CMAKE_C_FLAGS_DEBUG "-g -DSPGDEBUG -DSPGWARNING")
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_BUILD_TYPE)
message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

# Version numbers
file(READ ${PROJECT_SOURCE_DIR}/src/version.h version_file)
string(REGEX MATCH "SPGLIB_MAJOR_VERSION ([0-9]+)" spglib_major_version ${version_file})
set(spglib_major_version ${CMAKE_MATCH_1})
string(REGEX MATCH "SPGLIB_MINOR_VERSION ([0-9]+)" spglib_minor_version ${version_file})
set(spglib_minor_version ${CMAKE_MATCH_1})
string(REGEX MATCH "SPGLIB_MICRO_VERSION ([0-9]+)" spglib_micro_version ${version_file})
set(spglib_micro_version ${CMAKE_MATCH_1})
set(serial "${spglib_major_version}.${spglib_minor_version}.${spglib_micro_version}")
set(soserial "1")

# Source code
include_directories("${PROJECT_SOURCE_DIR}/src")
set(SOURCES ${PROJECT_SOURCE_DIR}/src/arithmetic.c
            ${PROJECT_SOURCE_DIR}/src/cell.c
            ${PROJECT_SOURCE_DIR}/src/debug.c
            ${PROJECT_SOURCE_DIR}/src/delaunay.c
            ${PROJECT_SOURCE_DIR}/src/determination.c
            ${PROJECT_SOURCE_DIR}/src/hall_symbol.c
            ${PROJECT_SOURCE_DIR}/src/kgrid.c
            ${PROJECT_SOURCE_DIR}/src/kpoint.c
            ${PROJECT_SOURCE_DIR}/src/mathfunc.c
            ${PROJECT_SOURCE_DIR}/src/niggli.c
            ${PROJECT_SOURCE_DIR}/src/overlap.c
            ${PROJECT_SOURCE_DIR}/src/pointgroup.c
            ${PROJECT_SOURCE_DIR}/src/primitive.c
            ${PROJECT_SOURCE_DIR}/src/refinement.c
            ${PROJECT_SOURCE_DIR}/src/site_symmetry.c
            ${PROJECT_SOURCE_DIR}/src/sitesym_database.c
            ${PROJECT_SOURCE_DIR}/src/spacegroup.c
            ${PROJECT_SOURCE_DIR}/src/spg_database.c
            ${PROJECT_SOURCE_DIR}/src/spglib.c
            ${PROJECT_SOURCE_DIR}/src/spin.c
            ${PROJECT_SOURCE_DIR}/src/symmetry.c)

# Shared library
add_library(symspg SHARED ${SOURCES})
set_property(TARGET symspg PROPERTY VERSION ${serial})
set_property(TARGET symspg PROPERTY SOVERSION ${soserial})
install(TARGETS symspg LIBRARY DESTINATION ${PROJECT_SOURCE_DIR}/lib)

# Static link library
add_library(symspg_static STATIC ${SOURCES})
set_property(TARGET symspg_static PROPERTY VERSION ${serial})
set_property(TARGET symspg_static PROPERTY SOVERSION ${soserial})
set_property(TARGET symspg_static PROPERTY OUTPUT_NAME symspg)
install(TARGETS symspg_static ARCHIVE DESTINATION ${PROJECT_SOURCE_DIR}/lib)

# Header file
install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${PROJECT_SOURCE_DIR}/include)

# make check
enable_testing()
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
set(CMAKE_CTEST_COMMAND ctest -V)
add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
add_test(spglibtest spglibtest)
add_dependencies(check spglibtest)

=== debian/changelog ===
spglib (1.10.3-1) unstable; urgency=low

  * Initial release (Closes: #882399).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 23 Mar 2018 16:54:57 +0200

=== debian/control ===
Source: spglib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               cmake,
               python3-dev,
               python3-numpy,
               python3-setuptools (>= 18.0)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/spglib
Vcs-Git: https://salsa.debian.org/science-team/spglib.git
Homepage: https://atztogo.github.io/spglib/

Package: libsymspg1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C library for crystal symmetry determination
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment

Package: libsymspg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsymspg1 (= ${binary:Version})
Description: C library for crystal symmetry determination (development files)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains static library and header files.

Package: python3-spglib
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy
Provides: ${python3:Provides}
Description: C library for crystal symmetry determination - Python3 bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem cmake --with python3

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure
	sed -i -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
		debian/libsymspg1.install \
		debian/libsymspg-dev.install

override_dh_auto_install:
	dh_auto_install
	(cd python; python3 setup.py install --root ../debian/python3-spglib)

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python/build python/spglib.egg-info

=== debian/tests/control ===
Tests: collinear-spin
Depends: @, python3-nose, python3-numpy

## spglib 1.10.4

=== debian/changelog ===
spglib (1.10.4-3build1) disco; urgency=medium

  * No-change rebuild for Python 3.7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Oct 2018 12:40:19 +0100

spglib (1.10.4-3) unstable; urgency=medium

  * Fixing autopkgtest.
  * debian/patches/fix-tests.patch: fixing a typo in test output.
  * Adding patch descriptions.
  * debian/control: adding XB-Python-Version field.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 20 Aug 2018 01:45:00 -0400

spglib (1.10.4-2) unstable; urgency=medium

  * Adding missing build and test dependencies.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 17 Aug 2018 02:53:05 -0400

spglib (1.10.4-1) unstable; urgency=medium

  * New upstream version 1.10.4
  * Removing upstream-integrated patches.
  * Bumping to version 4.2.0 of Debian policy (no changes).
  * Renaming autopkgtest collinear-spin -> python3-tests, executing all Python
    tests.
  * Moving multiarch-dependent *.install files to d/templates/ to do proper
    cleaning.
  * Turning on tests for Python module.
  * Adding a patch with the missing ChangeLog entry.
  * Adding a patch to remove accidental test dependency on the absolute path.
  * Patching also the files for autopkgtest.
  * Removing the rest of temporary files.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 14 Aug 2018 05:41:47 -0400

spglib (1.10.3-2) unstable; urgency=medium

  * libsymspg-dev depends on libsymspg1 with binary version.
  * Simplifying debian/libsymspg1.install by the use of wildcard ("*").
  * Simplifying debian/libsymspg-dev.install.
  * Installing shared and static libraries in the multiarch directory.
  * Installing missing shared library link in libsymspg-dev.
  * Switching to empty debian/libsymspg1.symbols file-based symbols generation.
  * Bumping debian/compat to 11.
  * Directing the STDERR to the STDOUT in debian/tests/collinear-spin.
  * debian/copyright: some files under ruby/ are licensed as GPL-2+.
  * debian/copyright: splitting of GPL-2+ paragraph.
  * debian/copyright: listing all copyright years.
  * debian/todo: adding a task to package ruby binding.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 05 Jun 2018 06:13:44 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                dh-python,
                cmake,
                python3-dev,
+               python3-nose,
                python3-numpy,
                python3-setuptools (>= 18.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
 Homepage: https://atztogo.github.io/spglib/
@@ -61,6 +62,7 @@
          ${python3:Depends},
          ${shlibs:Depends},
          python3-numpy
+XB-Python-Version: ${python3:Versions}
 Provides: ${python3:Provides}
 Description: C library for crystal symmetry determination - Python3 bindings
  Spglib is a C library for crystal symmetry determination. Symmetry

=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,17 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	sed -i -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
-		debian/libsymspg1.install \
-		debian/libsymspg-dev.install
+	for TPL in debian/templates/*; \
+	do sed -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
+		$${TPL} > debian/$$(basename $${TPL}); \
+	done
 
 override_dh_auto_install:
 	dh_auto_install
 	(cd python; python3 setup.py install --root ../debian/python3-spglib)
 
 override_dh_auto_test:
+	(cd python; python3 setup.py test)
 
 override_dh_makeshlibs:
 	dh_makeshlibs
@@ -29,5 +31,10 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_auto_clean:
+	rm -rf python/build python/spglib.egg-info
 	dh_auto_clean
-	rm -rf python/build python/spglib.egg-info
+	for TPL in debian/templates/*; \
+	do rm -f debian/$$(basename $${TPL}); \
+	done
+	find . -name __pycache__ | xargs --no-run-if-empty rm -rf
+	rm -f python/spglib/_spglib.*.so

=== debian/tests/control ===
Tests: python3-tests
Depends: @, python3-nose

## spglib 1.11.0

=== debian/changelog ===
spglib (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Dropping upstream-integrated patch fix-tests.patch.
  * Updating ChangeLog.patch patch (topmost entry was missing).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Thu, 08 Nov 2018 10:32:10 -0500

## spglib 1.11.1

=== debian/changelog ===
spglib (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Dropping upstream-integrated patch ChangeLog.patch.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 12 Nov 2018 03:14:02 -0500

## spglib 1.11.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
   set(CMAKE_BUILD_TYPE Release)
 endif(NOT CMAKE_BUILD_TYPE)
 message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
+
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+
 
 # Version numbers
 file(READ ${PROJECT_SOURCE_DIR}/src/version.h version_file)
@@ -47,17 +50,17 @@
 add_library(symspg SHARED ${SOURCES})
 set_property(TARGET symspg PROPERTY VERSION ${serial})
 set_property(TARGET symspg PROPERTY SOVERSION ${soserial})
-install(TARGETS symspg LIBRARY DESTINATION ${PROJECT_SOURCE_DIR}/lib)
+install(TARGETS symspg LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
 
 # Static link library
 add_library(symspg_static STATIC ${SOURCES})
 set_property(TARGET symspg_static PROPERTY VERSION ${serial})
 set_property(TARGET symspg_static PROPERTY SOVERSION ${soserial})
 set_property(TARGET symspg_static PROPERTY OUTPUT_NAME symspg)
-install(TARGETS symspg_static ARCHIVE DESTINATION ${PROJECT_SOURCE_DIR}/lib)
+install(TARGETS symspg_static ARCHIVE DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
 
 # Header file
-install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${PROJECT_SOURCE_DIR}/include)
+install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
 
 # make check
 enable_testing()

=== debian/changelog ===
spglib (1.11.2-3) unstable; urgency=medium

  * Adding a patch to disable nondeterministic test for Wyckoff positions.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 10 Dec 2018 03:20:33 -0500

spglib (1.11.2-2) unstable; urgency=medium

  * Adding build- and test-depend on python3-yaml.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 07 Dec 2018 07:38:30 -0500

spglib (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 07 Dec 2018 04:35:11 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                python3-dev,
                python3-nose,
                python3-numpy,
-               python3-setuptools (>= 18.0)
+               python3-setuptools (>= 18.0),
+               python3-yaml
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git

## spglib 1.12.0

=== debian/changelog ===
spglib (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Marking libs and libdevel packages as Multi-Arch: same.
  * Reverting to dh_auto_* in test and clean targets.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 29 Jan 2019 03:47:08 -0500

spglib (1.11.2+git20190121.920d01c-1) experimental; urgency=medium

  * New upstream version 1.11.2+git20190121.920d01c

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 23 Jan 2019 04:30:12 -0500

spglib (1.11.2+git20190112.7078a8b-1) experimental; urgency=medium

  * Switching to pybuild for building of Python3 bindings.
  * New upstream version 1.11.2+git20190112.7078a8b
  * Dropping upstream-integrated patch
    disable_nondeterministic_Wyckoff_test.patch.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 15 Jan 2019 02:54:24 -0500

## spglib 1.12.1

=== debian/changelog ===
spglib (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 30 Jan 2019 03:33:41 -0500

## spglib 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -67,5 +67,6 @@
 add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
 set(CMAKE_CTEST_COMMAND ctest -V)
 add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
+target_link_libraries(spglibtest m)
 add_test(spglibtest spglibtest)
 add_dependencies(check spglibtest)

=== debian/changelog ===
spglib (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2

 -- Andrius Merkys <andrius.merkys@gmail.com>  Sun, 10 Feb 2019 03:33:01 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                cmake,
+               python3-all-dev,
                python3-dev,
                python3-nose,
                python3-numpy,
@@ -18,6 +19,7 @@
 
 Package: libsymspg1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -37,6 +39,7 @@
 
 Package: libsymspg-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libsymspg1 (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure
	for TPL in debian/templates/*; \
	do sed -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
		$${TPL} > debian/$$(basename $${TPL}); \
	done

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -O--buildsystem=pybuild -- --dir python

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -O--buildsystem=pybuild -- --dir python

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test -O--buildsystem=pybuild -- --dir python
endif

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -O--buildsystem=pybuild -- --dir python
	rm -rf python/spglib.egg-info
	for TPL in debian/templates/*; \
	do rm -f debian/$$(basename $${TPL}); \
	done

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/spglib-$1.tar.gz/" \
   https://github.com/atztogo/spglib/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## spglib 1.13.0

=== debian/changelog ===
spglib (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Updating my e-mail.

 -- Andrius Merkys <merkys@debian.org>  Fri, 05 Jul 2019 06:34:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: spglib
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andrius Merkys <andrius.merkys@gmail.com>
+Uploaders: Andrius Merkys <merkys@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11),

## spglib 1.14.1

=== python/requirements.txt ===
numpy==1.11.1

=== debian/changelog ===
spglib (1.14.1-5build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:48 +0000

spglib (1.14.1-5build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:41:29 +0100

spglib (1.14.1-5) unstable; urgency=medium

  * Removing debian/todo, as Ruby bindings have been packaged.
  * Wrapping and sorting.
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Jan 2020 04:13:49 -0500

spglib (1.14.1-4) unstable; urgency=medium

  * Building Ruby bindings.
  * Cleaning up debian/rules a bit.

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 Jan 2020 04:33:00 -0500

spglib (1.14.1-3) unstable; urgency=medium

  * Adding a patch to link libsymspg.so to libm.so (Closes: #942627)

 -- Andrius Merkys <merkys@debian.org>  Sun, 20 Oct 2019 11:29:59 -0400

spglib (1.14.1-2) unstable; urgency=medium

  * Versioning tests dependency on python3-yaml.
  * Skipping tests on mips.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Aug 2019 01:52:18 -0400

spglib (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
  * Dropping python3-yaml-v3.patch as pyyaml 5.1.2 has been packaged.

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Aug 2019 01:48:33 -0400

=== debian/control ===
Source: spglib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 11),
 dh-python,
 gem2deb,
 python3-all-dev,
 python3-dev,
 python3-nose,
 python3-numpy,
 python3-setuptools (>= 18.0),
 python3-yaml (>= 5),
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/science-team/spglib
Vcs-Git: https://salsa.debian.org/science-team/spglib.git
Homepage: https://atztogo.github.io/spglib/
XS-Ruby-Versions: all

Package: libsymspg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsymspg1 (= ${binary:Version}),
 ${misc:Depends},
Description: C library for crystal symmetry determination (development files)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains static library and header files.

Package: libsymspg1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment

Package: python3-spglib
Architecture: any
Section: python
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
XB-Python-Version: ${python3:Versions}
Provides:
 ${python3:Provides},
Description: C library for crystal symmetry determination - Python3 bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Python3 bindings.

Package: ruby-getspg
Architecture: any
X-DhRuby-Root: ruby
XB-Ruby-Versions: ${ruby:Versions}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination - Ruby bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Ruby bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,ruby

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=ruby
	for TPL in debian/templates/*; \
	do sed -e "s@##DEB_HOST_MULTIARCH##@$(DEB_HOST_MULTIARCH)@g" \
		$${TPL} > debian/$$(basename $${TPL}); \
	done

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild -- --dir python
	dh_auto_build --buildsystem=ruby

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild -- --dir python
	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem=ruby

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Tests on mips take too long, and are killed due to inactivity
ifneq ($(DEB_BUILD_ARCH), mips)
	dh_auto_test --buildsystem=pybuild -- --dir python
endif
endif

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild -- --dir python
	dh_auto_clean --buildsystem=ruby
	rm -rf python/spglib.egg-info
	for TPL in debian/templates/*; \
	do rm -f debian/$$(basename $${TPL}); \
	done

=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-nose,
 python3-yaml (>= 5),
 @,

## spglib 1.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
   set(CMAKE_BUILD_TYPE Release)
 endif(NOT CMAKE_BUILD_TYPE)
 message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
+
+include(GNUInstallDirs)
 
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
@@ -48,19 +50,20 @@
 
 # Shared library
 add_library(symspg SHARED ${SOURCES})
+target_link_libraries(symspg m)
 set_property(TARGET symspg PROPERTY VERSION ${serial})
 set_property(TARGET symspg PROPERTY SOVERSION ${soserial})
-install(TARGETS symspg LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
+install(TARGETS symspg LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 # Static link library
 add_library(symspg_static STATIC ${SOURCES})
 set_property(TARGET symspg_static PROPERTY VERSION ${serial})
 set_property(TARGET symspg_static PROPERTY SOVERSION ${soserial})
 set_property(TARGET symspg_static PROPERTY OUTPUT_NAME symspg)
-install(TARGETS symspg_static ARCHIVE DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
+install(TARGETS symspg_static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 # Header file
-install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
+install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 # make check
 enable_testing()

=== debian/changelog ===
spglib (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0
  * Dropping upstream-integrated patch.
  * Removing templates as the build system now honors CMAKE_INSTALL_LIBDIR.
  * Bumping debhelper-compat (no changes).
  * Adding 'Rules-Requires-Root: no'.
  * Making dh_ruby find the shared library.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Apr 2020 00:53:27 -0400

## spglib 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
+
 cmake_minimum_required(VERSION 2.4)
+
 project(spglib C)
 set(CMAKE_MACOSX_RPATH 1)
 set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
@@ -50,7 +52,10 @@
 
 # Shared library
 add_library(symspg SHARED ${SOURCES})
-target_link_libraries(symspg m)
+
+if(NOT MSVC)
+  target_link_libraries(symspg m)
+endif()
 set_property(TARGET symspg PROPERTY VERSION ${serial})
 set_property(TARGET symspg PROPERTY SOVERSION ${soserial})
 install(TARGETS symspg LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
@@ -67,9 +72,15 @@
 
 # make check
 enable_testing()
+
 add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
+
 set(CMAKE_CTEST_COMMAND ctest -V)
+
 add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
-target_link_libraries(spglibtest m)
+
+if(NOT MSVC)
+  target_link_libraries(spglibtest m)
+endif()
 add_test(spglibtest spglibtest)
 add_dependencies(check spglibtest)

=== debian/changelog ===
spglib (1.15.1-1) unstable; urgency=medium

  * New upstream version 1.15.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Apr 2020 09:13:08 -0400

## spglib 1.16.0

=== debian/changelog ===
spglib (1.16.0-1build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:25:20 +0100

spglib (1.16.0-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:03:15 +0100

spglib (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * Pointing debian/watch to github.com/spglib/spglib.
  * Updating debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 06:08:18 -0400

## spglib 1.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -70,17 +70,25 @@
 # Header file
 install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
-# make check
-enable_testing()
-
-add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
-
-set(CMAKE_CTEST_COMMAND ctest -V)
-
 add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
 
 if(NOT MSVC)
   target_link_libraries(spglibtest m)
 endif()
+
+enable_testing()
 add_test(spglibtest spglibtest)
-add_dependencies(check spglibtest)
+
+# make check
+
+# cf. https://stackoverflow.com/questions/5709914/using-cmake-how-do-i-get-verbose-output-from-ctest
+add_custom_target(check 
+        ${CMAKE_COMMAND} -E echo CWD=${CMAKE_BINARY_DIR}
+        COMMAND ${CMAKE_COMMAND} -E echo CMD=${CMAKE_CTEST_COMMAND} -C $<CONFIG>
+        COMMAND ${CMAKE_COMMAND} -E echo ----------------------------------
+        COMMAND ${CMAKE_COMMAND} -E env CTEST_OUTPUT_ON_FAILURE=1
+            ${CMAKE_CTEST_COMMAND} -C $<CONFIG> --verbose
+    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+    DEPENDS spglibtest
+    )
+

=== debian/changelog ===
spglib (1.16.1-1) unstable; urgency=medium

  * New upstream version 1.16.1
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 01 Feb 2021 06:50:40 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  gem2deb,
  python3-all-dev,
@@ -20,6 +20,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
 Homepage: https://atztogo.github.io/spglib/
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: libsymspg-dev
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/spglib-$1.tar.gz/" \
   https://github.com/spglib/spglib/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## spglib 1.16.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-cmake_minimum_required(VERSION 2.4)
+cmake_minimum_required(VERSION 2.8.12)
 
 project(spglib C)
 set(CMAKE_MACOSX_RPATH 1)
@@ -14,6 +14,14 @@
 
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
+option(USE_OMP "Build with OpenMP support" ON)
+
+if (USE_OMP)
+  find_package(OpenMP)
+  if (OPENMP_FOUND)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
+  endif()
+endif()
 
 # Version numbers
 file(READ ${PROJECT_SOURCE_DIR}/src/version.h version_file)
@@ -68,7 +76,9 @@
 install(TARGETS symspg_static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 # Header file
-install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES ${PROJECT_SOURCE_DIR}/src/spglib.h
+              ${PROJECT_SOURCE_DIR}/fortran/spglib_f08.f90
+        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
 add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})

=== fortran/Makefile ===
.SUFFIXES:

fc = gfortran -g -fcheck=all -fbacktrace
# fc = ifort -g -check all -traceback
lib = -lsymspg
ldflags ?= -L ../build/lib -L ../_build  -Wl,-rpath,'../build/lib:../_build'

test: example
	./example


example: example_f08.f90.o spglib_f08.f90.o
	$(fc) $^ $(lib) -o $@  $(ldflags)

example_f08.f90.o: spglib_f08.mod
spglib_f08.mod: spglib_f08.f90.o

%.f90.o: %.f90
	$(fc) -c $< -o $@

clean:
	rm -f example{,_f08.f90.o} defs_basis.mod spglib_f08.{f90.o,mod}

=== debian/changelog ===
spglib (1.16.2-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:48:53 +0800

spglib (1.16.2-2) unstable; urgency=medium

  * Fixing debian/watch (releases -> tags).
  * Adding 'Section: ruby' for ruby-getspg binary package.
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Thu, 28 Oct 2021 04:37:06 -0400

spglib (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Aug 2021 01:16:05 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  gem2deb,
  python3-all-dev,
@@ -95,6 +95,7 @@
 
 Package: ruby-getspg
 Architecture: any
+Section: ruby
 X-DhRuby-Root: ruby
 XB-Ruby-Versions: ${ruby:Versions}
 Depends:

## spglib 1.16.5

=== debian/changelog ===
spglib (1.16.5-1) unstable; urgency=medium

  * New upstream version 1.16.5
  * Install pkgconfig file.
  * Remove manual handling of DEB_BUILD_OPTIONS=nocheck.
  * Package Fortran interface.
  * Drop superseded override_dh_autoreconf.
  * Add publication reference.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 10 May 2022 02:03:06 -0400

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,65 @@
  debhelper-compat (= 13),
  dh-python,
  gem2deb,
+ gfortran,
  python3-all-dev,
  python3-dev,
  python3-nose,
  python3-numpy,
  python3-setuptools (>= 18.0),
  python3-yaml (>= 5),
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
 Homepage: https://atztogo.github.io/spglib/
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
+
+Package: libspglib-f08-1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: C library for crystal symmetry determination (Fortran interface)
+ Spglib is a C library for crystal symmetry determination. Symmetry
+ operations, space groups and other data can be obtained using this
+ symmetry finder.
+ .
+ Features include:
+ .
+  * Identify space-group type
+  * Find symmetry operations
+  * Find a primitive cell
+  * Search irreducible k-points
+  * Refine crystal structure
+  * Wyckoff position assignment
+ .
+ This package contains Fortran interface.
+
+Package: libspglib-f08-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends:
+ libspglib-f08-1 (= ${binary:Version}),
+ ${misc:Depends},
+Description: C library for crystal symmetry determination (Fortran development files)
+ Spglib is a C library for crystal symmetry determination. Symmetry
+ operations, space groups and other data can be obtained using this
+ symmetry finder.
+ .
+ Features include:
+ .
+  * Identify space-group type
+  * Find symmetry operations
+  * Find a primitive cell
+  * Search irreducible k-points
+  * Refine crystal structure
+  * Wyckoff position assignment
+ .
+ This package contains development files for Fortran interface.
 
 Package: libsymspg-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,ruby

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_Fortran=ON
	dh_auto_configure --buildsystem=ruby

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=pybuild -- --dir python
	dh_auto_build --buildsystem=ruby

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild -- --dir python
	ln -s $(DEB_HOST_MULTIARCH)/libsymspg.so debian/tmp/usr/lib
	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem=ruby
	rm debian/tmp/usr/lib/libsymspg.so debian/tmp/usr/bin/spglib_example_fortran.X

override_dh_auto_test:
# Tests on mips take too long, and are killed due to inactivity
ifneq ($(DEB_BUILD_ARCH), mips)
	dh_auto_test --buildsystem=pybuild -- --dir python
endif

override_dh_makeshlibs:
	dh_makeshlibs
	sed -i 's/-[0-9]*$$//' debian/libsymspg1/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=pybuild -- --dir python
	dh_auto_clean --buildsystem=ruby
	rm -rf python/spglib.egg-info

## spglib 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,35 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(spglib C)
+
+option(WITH_Fortran "enable f08 interface" OFF)
+
 set(CMAKE_MACOSX_RPATH 1)
-set(CMAKE_C_FLAGS_RELEASE "-Wall -O2")
-set(CMAKE_C_FLAGS_DEBUG "-g -DSPGDEBUG -DSPGWARNING")
 if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE Release)
 endif(NOT CMAKE_BUILD_TYPE)
+if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+  add_definitions(-DSPGDEBUG -DSPGWARNING)
+endif()
+
 message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")
+
+if (USE_SANITIZER STREQUAL "Address")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
+elseif (USE_SANITIZER STREQUAL "Thread")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=thread")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=thread")
+elseif (USE_SANITIZER STREQUAL "Undefined")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined")
+elseif (USE_SANITIZER STREQUAL "Leak")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=leak")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
+elseif (USE_SANITIZER STREQUAL "Memory")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=memory")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory")
+endif()
 
 include(GNUInstallDirs)
 
@@ -17,10 +39,8 @@
 option(USE_OMP "Build with OpenMP support" ON)
 
 if (USE_OMP)
-  find_package(OpenMP)
-  if (OPENMP_FOUND)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
-  endif()
+  find_package(OpenMP REQUIRED)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
 endif()
 
 # Version numbers
@@ -44,7 +64,9 @@
             ${PROJECT_SOURCE_DIR}/src/hall_symbol.c
             ${PROJECT_SOURCE_DIR}/src/kgrid.c
             ${PROJECT_SOURCE_DIR}/src/kpoint.c
+            ${PROJECT_SOURCE_DIR}/src/magnetic_spacegroup.c
             ${PROJECT_SOURCE_DIR}/src/mathfunc.c
+            ${PROJECT_SOURCE_DIR}/src/msg_database.c
             ${PROJECT_SOURCE_DIR}/src/niggli.c
             ${PROJECT_SOURCE_DIR}/src/overlap.c
             ${PROJECT_SOURCE_DIR}/src/pointgroup.c
@@ -62,7 +84,7 @@
 add_library(symspg SHARED ${SOURCES})
 
 if(NOT MSVC)
-  target_link_libraries(symspg m)
+  target_link_libraries(symspg PUBLIC m)
 endif()
 set_property(TARGET symspg PROPERTY VERSION ${serial})
 set_property(TARGET symspg PROPERTY SOVERSION ${soserial})
@@ -80,25 +102,13 @@
               ${PROJECT_SOURCE_DIR}/fortran/spglib_f08.f90
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
-add_executable(spglibtest EXCLUDE_FROM_ALL ${PROJECT_SOURCE_DIR}/src/test.c ${SOURCES})
-
-if(NOT MSVC)
-  target_link_libraries(spglibtest m)
+if (WITH_Fortran)
+  enable_language(Fortran)
+  add_subdirectory(fortran)
 endif()
 
-enable_testing()
-add_test(spglibtest spglibtest)
-
-# make check
-
-# cf. https://stackoverflow.com/questions/5709914/using-cmake-how-do-i-get-verbose-output-from-ctest
-add_custom_target(check 
-        ${CMAKE_COMMAND} -E echo CWD=${CMAKE_BINARY_DIR}
-        COMMAND ${CMAKE_COMMAND} -E echo CMD=${CMAKE_CTEST_COMMAND} -C $<CONFIG>
-        COMMAND ${CMAKE_COMMAND} -E echo ----------------------------------
-        COMMAND ${CMAKE_COMMAND} -E env CTEST_OUTPUT_ON_FAILURE=1
-            ${CMAKE_CTEST_COMMAND} -C $<CONFIG> --verbose
-    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-    DEPENDS spglibtest
-    )
-
+configure_file(spglib.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/spglib.pc)
+install(
+  FILES  ${CMAKE_CURRENT_BINARY_DIR}/spglib.pc
+  DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig
+  COMPONENT pkgconfig)

=== debian/changelog ===
spglib (2.0.0-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 18:09:23 +0000

spglib (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 19 Aug 2022 01:39:11 -0400

## spglib 2.0.1

=== debian/changelog ===
spglib (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Andrius Merkys <merkys@debian.org>  Thu, 01 Sep 2022 02:45:01 -0400

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  gfortran,
  python3-all-dev,
  python3-dev,
- python3-nose,
  python3-numpy,
+ python3-pytest <!nocheck>,
  python3-setuptools (>= 18.0),
  python3-yaml (>= 5),
 Standards-Version: 4.2.1

=== debian/tests/control ===
Test-Command: cd python && pytest-3
Depends:
 python3-pytest,
 python3-yaml (>= 5),
 @,

## spglib 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,17 @@
             ${PROJECT_SOURCE_DIR}/src/spin.c
             ${PROJECT_SOURCE_DIR}/src/symmetry.c)
 
+# avoid One Definition Rule problems
+# only available since 3.16.0
+# VERSION_GREATER_EQUAL only available since 3.7.0, so let's do it manually
+if (NOT CMAKE_MAJOR_VERSION LESS "3")
+  if (CMAKE_MAJOR_VERSION GREATER "3" OR NOT CMAKE_MINOR_VERSION LESS "16")
+    set_source_files_properties(
+        ${SOURCES} PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON
+    )
+  endif()
+endif()
+
 # Shared library
 add_library(symspg SHARED ${SOURCES})

=== fortran/CMakeLists.txt ===
if (USE_OMP)
	find_package(OpenMP COMPONENTS Fortran REQUIRED)
	set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} ${OpenMP_Fortran_FLAGS}")
endif()

add_library(spglib_f08_static STATIC ${PROJECT_SOURCE_DIR}/fortran/spglib_f08.f90)
set_property(TARGET spglib_f08_static PROPERTY VERSION ${serial})
set_property(TARGET spglib_f08_static PROPERTY SOVERSION ${soserial})
set_property(TARGET spglib_f08_static PROPERTY OUTPUT_NAME spglib_f08)

add_library(spglib_f08 SHARED ${PROJECT_SOURCE_DIR}/fortran/spglib_f08.f90)
set_property(TARGET spglib_f08 PROPERTY VERSION ${serial})
set_property(TARGET spglib_f08 PROPERTY SOVERSION ${soserial})
add_dependencies(spglib_f08 spglib_f08_static)

add_executable(spglib_example_fortran.X ${PROJECT_SOURCE_DIR}/fortran/example_f08.f90)
target_link_libraries(spglib_example_fortran.X PRIVATE spglib_f08_static symspg_static ${OpenMP_Fortran_LIBRARIES})
install(TARGETS spglib_f08_static spglib_f08 spglib_example_fortran.X
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} LIBRARY DESTINATION DESTINATION ${CMAKE_INSTALL_LIBDIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES ${PROJECT_SOURCE_DIR}/fortran/spglib_f08.f90 DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.mod DESTINATION ${CMAKE_INSTALL_LIBDIR})

configure_file(spglib_f08.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.pc)
install(
	FILES  ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.pc
	DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig
	COMPONENT pkgconfig)

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project(test_spglib CXX C)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_MACOSX_RPATH 1)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()
if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  add_definitions(-DSPGDEBUG -DSPGWARNING)
endif()

# Sanitizers
if (USE_SANITIZER STREQUAL "Address")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
elseif (USE_SANITIZER STREQUAL "Thread")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=thread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=thread")
elseif (USE_SANITIZER STREQUAL "Undefined")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined")
elseif (USE_SANITIZER STREQUAL "Leak")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=leak")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
elseif (USE_SANITIZER STREQUAL "Memory")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=memory")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory")
endif()

# OpenMP
if (USE_OMP)
  find_package(OpenMP REQUIRED)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
endif()

# pthread (required for GoogleTest)
# https://stackoverflow.com/questions/1620918/cmake-and-libpthread
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

# Include src/spglib.h and test/utils.h
include_directories("${PROJECT_SOURCE_DIR}/../src" "${PROJECT_SOURCE_DIR}")

# Static library
file(GLOB SOURCES ${PROJECT_SOURCE_DIR}/../src/*.c)
add_library(symspg STATIC ${SOURCES})

# Fetch GoogleTest
include(FetchContent)
FetchContent_Declare(
  googletest
  URL https://github.com/google/googletest/archive/refs/tags/release-1.12.1.zip
)
FetchContent_MakeAvailable(googletest)
include(GoogleTest)

enable_testing()
foreach(TESTCASE IN ITEMS
        test_error
        test_symmetry_search
        test_spacegroup_type_search
        test_find_primitive_cell
        test_refine_cell
        test_standardization
        test_dataset_access
        test_magnetic_symmetry
        test_kpoints
        )
  add_executable(${TESTCASE} ${TESTCASE}.cpp utils.c)
  target_link_libraries(${TESTCASE} PUBLIC symspg gtest_main PRIVATE Threads::Threads)
  gtest_discover_tests(${TESTCASE})
endforeach()

=== debian/changelog ===
spglib (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Update homepage.

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Nov 2022 05:04:42 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
 Vcs-Git: https://salsa.debian.org/science-team/spglib.git
-Homepage: https://atztogo.github.io/spglib/
+Homepage: https://spglib.github.io/spglib/
 XS-Ruby-Versions: all
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 override_dh_auto_test:
 # Tests on mips take too long, and are killed due to inactivity
 ifneq ($(DEB_BUILD_ARCH), mips)
-	dh_auto_test --buildsystem=pybuild -- --dir python
+	dh_auto_test --buildsystem=pybuild -- --dir python --test-pytest
 endif
 
 override_dh_makeshlibs:
